## Class FieldInfo

    java.lang.Object
      |
      +--FieldInfo

public class FieldInfo
extends java.lang.Object

Field Summary
`private short` `access_flags`
`private de.dhbwstuttgart.typeinference.Menge` `attributes`
`private java.lang.String` `class_name`
`private short` `descriptor_index`
`private java.lang.String` `name`
`private short` `name_index`
`private java.lang.String` `type`

Constructor Summary
`FieldInfo()`

Method Summary
`void` `codegen(ClassFile classfile, java.io.FileOutputStream f)`
`short` `get_access_flags()`
`de.dhbwstuttgart.typeinference.Menge` `get_attributes()`
`java.lang.String` `get_Class_Name()`
`short` `get_descriptor_index()`
`short` `get_name_index()`
`java.lang.String` `get_Name()`
`java.lang.String` `get_Type()`
`void` `set_access_flags(short t)`
`void` `set_attributes(de.dhbwstuttgart.typeinference.Menge t)`
`void` `set_Class_Name(java.lang.String t)`
`void` `set_descriptor_index(short t)`
`void` `set_name_index(short t)`
`void` `set_Name(java.lang.String t)`
`void` `set_Type(java.lang.String t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    private java.lang.String name

### type

    private java.lang.String type

### class_name

    private java.lang.String class_name

### access_flags

    private short access_flags

### name_index

    private short name_index

### descriptor_index

    private short descriptor_index

### attributes

    private de.dhbwstuttgart.typeinference.Menge attributes

Constructor Detail

### FieldInfo

    public FieldInfo()

Method Detail

### get_Name

    public java.lang.String get_Name()

### get_Type

    public java.lang.String get_Type()

### get_Class_Name

    public java.lang.String get_Class_Name()

### get_access_flags

    public short get_access_flags()

### get_name_index

    public short get_name_index()

### get_descriptor_index

    public short get_descriptor_index()

### get_attributes

    public de.dhbwstuttgart.typeinference.Menge get_attributes()

### set_Name

    public void set_Name(java.lang.String t)

### set_Type

    public void set_Type(java.lang.String t)

### set_Class_Name

    public void set_Class_Name(java.lang.String t)

### set_access_flags

    public void set_access_flags(short t)

### set_name_index

    public void set_name_index(short t)

### set_descriptor_index

    public void set_descriptor_index(short t)

### set_attributes

    public void set_attributes(de.dhbwstuttgart.typeinference.Menge t)

### codegen

    public void codegen(ClassFile classfile,
                        java.io.FileOutputStream f)
                 throws JVMCodeException

    `JVMCodeException`